PLAINBOX-DEV-SPECIAL(1)

NAME
plainbox-dev-special - special/internal commands

SYNOPSIS

        plainbox dev special [-h] (-j | -J | -e | -d) [--dot-resources]
                             [-T TEST-PLAN-ID] [-i PATTERN] [-x PATTERN]
                             [-w WHITELIST]

DESCRIPTION

Special/internal commands

OPTIONS

Optional arguments:

    -j, --list-jobs
        list jobs instead of running them

    -J, --list-job-hashes
        list jobs with cheksums instead of running them

    -e, --list-expressions
        list all unique resource expressions

    -d, --dot
        print a graph of jobs instead of running them

    --dot-resources
        show resource relationships (for --dot)

    -T, --test-plan
        load the specified test plan

    -i, --include-pattern
        include jobs matching the given regular expression

    -x, --exclude-pattern
        exclude jobs matching the given regular expression

    -w, --whitelist
        load whitelist containing run patterns

SEE ALSO

plainbox-dev

AUTHOR
Zygmunt Krynicki & Checkbox Contributors

COPYRIGHT
2012-2014 Canonical Ltd